<?php
/**
 * Action social view
 *
 * @package wp-viral-click
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st = $this->setting;
?>

<!-- start: .ipjck-action-social -->
<div class="ipjck-action-social">
	<div class="ipjck-action-social-inner">
    <ul class="ipjck-social-list">
      <?php
      $socials  = array(
        'facebook',
        'twitter',
        'linkedin',
        'pinterest',
        'googleplus',
        'tumblr',
        'instagram',
        'youtube'
      );
      $style = $st->getSetting( 'social_button_style', 'square_flat' );
      $root  = IPJCK_BASE_URL . 'assets/img/icon/' . $style . '/';
      foreach( $socials as $social )
      {
      	$url = $st->getSetting( 'social_' . $social . '_url' );
        if ( ! empty( $url ) )
        {
          $icon = $root . $social . '.png';

          echo    '<li class="ipjck-social-' . $social . '">' .
          					'<a href="' . $url . '" class="ipjck-social-button">' .
                      '<img src="' . $icon . '" alt="' . $social . '">' .
                  	'</a>' . 
                  '</li>';  
        }
      }
      ?>
    </ul>
  </div>
</div>
<!-- end: .ipjck-action-social -->